---
search:
  tags:
    - Organizations
    - GET
seo:
  description: >-
    Retrieves a paginated list of organizations with… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/organisations endpoint in the Management API.
sidebar:
  label: List all organizations
  badge: GET
title: List all organizations
type: openapi-operation
---
Retrieves a paginated list of organizations with comprehensive filtering options including search, status, country, credit check status, custom attributes, and date ranges. Supports sorting and pagination.

`GET /api/v1/{team_slug}/{app_slug}/organisations`

**Responses**

- `200` — List of organizations
- `400` — Invalid request (e.g. bad parameters, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "app_id": "string",
      "attributes": [
        {
          "created_at": "string",
          "description": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "template_name": "string",
          "translatable": true,
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string",
          "values": {
            "property1": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            },
            "property2": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            }
          }
        }
      ],
      "billing_address": [
        {
          "city": "string",
          "co_address": "string",
          "company_id": "string",
          "company_name": "string",
          "country": "string",
          "created_at": "string",
          "house_number": "string",
          "id": "string",
          "is_default": true,
          "name": "string",
          "phone": "string",
          "postal_code": "string",
          "state_province": "string",
          "street_address": "string",
          "updated_at": "string"
        }
      ],
      "comment": "string",
      "contact_name": "string",
      "created_at": "string",
      "credit_check": true,
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "customer_groups": [
        {
          "id": "string",
          "name": "string",
          "slug": "string"
        }
      ],
      "email": "string",
      "external_ref": "string",
      "id": "string",
      "invoice_email": "string",
      "name": "string",
      "organisation_number": "string",
      "parent_id": "string",
      "parents": [
        {
          "id": "string",
          "name": "string",
          "organisation_number": "string"
        }
      ],
      "phone": "string",
      "shipping_address": [
        {
          "city": "string",
          "co_address": "string",
          "company_id": "string",
          "company_name": "string",
          "country": "string",
          "created_at": "string",
          "house_number": "string",
          "id": "string",
          "is_default": true,
          "name": "string",
          "phone": "string",
          "postal_code": "string",
          "state_province": "string",
          "street_address": "string",
          "updated_at": "string"
        }
      ],
      "status": "string",
      "tags": [
        {
          "attributes": [
            {
              "created_at": "string",
              "description": "string",
              "filterable": true,
              "id": "string",
              "key": "string",
              "name": "string",
              "template_key": "string",
              "template_name": "string",
              "translatable": true,
              "translations": {
                "description": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ],
                "name": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "updated_at": "string",
              "values": {
                "property1": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                },
                "property2": {
                  "field_id": "string",
                  "id": "string",
                  "image_id": "string",
                  "image_object": {
                    "alt": "string",
                    "app_id": "string",
                    "blurhash": "string",
                    "copyright": "string",
                    "custom": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "folder_id": "string",
                    "id": "string",
                    "parent_id": "string",
                    "public": true,
                    "status": "string",
                    "title": "string",
                    "url": "string"
                  },
                  "translations": {
                    "value": [
                      {
                        "id": "string",
                        "locale": "string",
                        "value": "string"
                      }
                    ]
                  },
                  "type": "string",
                  "value": "string"
                }
              }
            }
          ],
          "created_at": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "markets": [
            {
              "active": true,
              "country_codes": [
                "string"
              ],
              "created_at": "string",
              "currency_code": "string",
              "id": "string",
              "locale": "string",
              "name": "string",
              "slug": "string",
              "updated_at": "string"
            }
          ],
          "name": "string",
          "schedules": [
            {
              "add_category_names": [
                "string"
              ],
              "add_collection_names": [
                "string"
              ],
              "add_tag_names": [
                "string"
              ],
              "execute_at": "string",
              "finished_at": "string",
              "group_id": "string",
              "id": "string",
              "item_id": "string",
              "item_name": "string",
              "item_type": "string",
              "remove_category_names": [
                "string"
              ],
              "remove_collection_names": [
                "string"
              ],
              "remove_tag_names": [
                "string"
              ],
              "to_amount_cents_with_tax": 0,
              "to_market_id": "string",
              "to_market_status": "string",
              "to_on_sale": true,
              "to_sale_amount_cents_with_tax": 0,
              "to_start_sale_timestamp": "string",
              "to_status": "string",
              "to_stop_sale_timestamp": "string",
              "to_store_group_id": "string"
            }
          ],
          "status": "string",
          "translations": {
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string"
        }
      ],
      "tax_id_vat_number": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
